Change in osmo-ci[master]: contrib/jenkins.sh: clone osmo-gsm-manuals too

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Wed Jan 13 10:51:20 UTC 2021


osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ci/+/22128 )


Change subject: contrib/jenkins.sh: clone osmo-gsm-manuals too
......................................................................

contrib/jenkins.sh: clone osmo-gsm-manuals too

Make osmo-gsm-manuals.git available as ~/osmo-gsm-manuals, so it can be
used by osmo-trx and osmo-bts (the only two projects building manuals,
which are not running in docker as of writing) instead of cloning the
repository in their contrib/jenkins.sh.

A similar change to clone osmo-gsm-manuals in the debian-stretch-jenkins
image used by all other jobs that build manuals, is done in
docker-playground 7e4c8c6f1f798b9b8e57af97131ce3759528e0de.

osmo-ci's contrib/jenkins.sh is called by the update-osmo-ci-on-slaves
job.

Related: OS#4912
Change-Id: I742fd929e39ca32d6034a30af75b6c8e5b47b233
---
M contrib/jenkins.sh
1 file changed, 13 insertions(+), 6 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/28/22128/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 3ab942a..e93e802 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,14 +1,21 @@
 #!/bin/sh
 set -e -x
 
-cd ~/osmo-ci || (cd ~/ && git clone git://git.osmocom.org/osmo-ci && cd ~/osmo-ci)
-git rev-parse HEAD
-git status
+# Clone repository to ~/, or update existing
+# $1: name of osmocom project
+clone_repo() {
+	cd ~/"$1" || (cd ~/ && git clone git://git.osmocom.org/"$1" && cd ~/"$1")
+	git rev-parse HEAD
+	git status
 
-git fetch && git checkout -f -B master origin/master
+	git fetch && git checkout -f -B master origin/master
 
-git rev-parse HEAD
-git status
+	git rev-parse HEAD
+	git status
+}
+
+clone_repo osmo-ci
+clone_repo osmo-gsm-manuals
 
 if [ `uname` = "Linux" ] && [ "x${OSMO_CI_NO_DOCKER}" != "x1" ]; then
 	scripts/osmo-ci-docker-rebuild.sh

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/22128
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: I742fd929e39ca32d6034a30af75b6c8e5b47b233
Gerrit-Change-Number: 22128
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20210113/98cd2e45/attachment.htm>


More information about the gerrit-log mailing list